Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: Double Click a Line to Convert it to a Polyline

  1. #11
    I could stop if I wanted to kwong's Avatar
    Join Date
    2002-11
    Posts
    270
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Hey Zoomharis,
    Don't stop! More please....thanks!
    kwong

  2. #12
    All AUGI, all the time zoomharis's Avatar
    Join Date
    2005-02
    Location
    Abu Dhabi (Native-India)
    Posts
    506
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Quote Originally Posted by kwong
    Hey Zoomharis,
    Don't stop! More please....thanks!
    kwong
    O.k. Let's carry on. Hope after sometime you won't restructure the above sentence like this

    "Hey Zoomharis, Don't More please......Stop! thanks! "

    Switch to Isometric View of a Specific 3D Object

    Have you found it a bit lengthy procedure to get an isometric view of a selected 3D object ?(especially from plan view having several 3D solids arranged). Then arrange this macro inside the 3dsolid category of double click actions.
    ^C^C_-view;_swiso;'_.zoom;_o;previous;;
    It will not only switch to the isometric view, but also zoom to the double clicked object. If have used SW Isometric view in this sample.

  3. #13
    All AUGI, all the time zoomharis's Avatar
    Join Date
    2005-02
    Location
    Abu Dhabi (Native-India)
    Posts
    506
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Show 'Edit Attribute Dialog Box' instead of 'Enhanced Attribute Editor Dialog Box'.

    Many thanks to Alex Page for inspiring me to do this. As an outcome of this thread, here is a double click action for showing 'Edit Attribute Dialog Box' instead of 'Enhanced Attribute Editor Dialog Box'. You can still access the Enhanced Attribute Editor using ed (_ddedit). Now you can switch between your attribute edit options very easily. Please note that this macro will not work on AutoCAD LT as it contains a lisp expression.
    ^C^C_select;_ddatte;(ssget "p");

  4. #14
    100 Club KansasCAD's Avatar
    Join Date
    2002-02
    Location
    Derby, Kansas
    Posts
    114
    Login to Give a bone
    0

    Question Re: Double Click a Line to Convert it to a Polyline

    Hello,

    I have tried to do this double click for line to pline in 2008 and can not seem to get it working. First of all I have no items under "Doublethink", so I added one called line, and added line to the object name. As soon as I hit apply I get a red slash through the mouse icon at the beginning of the new line double click. I have then tried dragging my new command from the command list to the line in the double click area. It copies it there just fine but the mouse icon still has a red slash through it, and the command does not work.

    What am I doing wrong?

    I am using Civil 3D 2008.

    Thanks,

    Daryl

  5. #15
    Member
    Join Date
    2007-03
    Location
    Someplace
    Posts
    46
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Quote Originally Posted by zoomharis
    Show 'Edit Attribute Dialog Box' instead of 'Enhanced Attribute Editor Dialog Box'.

    Please note that this macro will not work on AutoCAD LT as it contains a lisp expression.
    This is what I use, it doesn't contain any lisp, so it should work in LT:

    ^C^C_ddatte;l;

    Later..

  6. #16
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Harls, this all good. Should the thread title be changed to be less specific or maybe the individual ideas should be posted separately.


  7. #17
    All AUGI, all the time zoomharis's Avatar
    Join Date
    2005-02
    Location
    Abu Dhabi (Native-India)
    Posts
    506
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Quote Originally Posted by KansasCAD
    Hello,



    I have tried to do this double click for line to pline in 2008 and can not seem to get it working. First of all I have no items under "Doublethink", so I added one called line, and added line to the object name. As soon as I hit apply I get a red slash through the mouse icon at the beginning of the new line double click. I have then tried dragging my new command from the command list to the line in the double click area. It copies it there just fine but the mouse icon still has a red slash through it, and the command does not work.

    What am I doing wrong?

    I am using Civil 3D 2008.

    Thanks,
    Daryl
    Hi Daryl,
    I have yet to see Version 2008. So I can not tell you anything on this matter. Hope somebody with 2008 come forward to help you. In normal case, these macros should work fine in 2006, 2007 and 2008 versions.

    Quote Originally Posted by boffin
    This is what I use, it doesn't contain any lisp, so it should work in LT:

    ^C^C_ddatte;l;

    Later..
    I seriously doubt about the 'Last' option you have provided. Please remember that the 'Last' selection options selects only the most recently created (not most recently selected) visible object. From this thread I assume that you only need ^C^C_ddatte; in LT. Unfortunately I don't have LT to test that one. Thanks for your input. It confirmed Alex Page's question in the above linked thread. Now I wonder how come the noun/verb selection is available in LT and not in full ACAD for the _ddatte command. Anybody has any ideas?
    Quote Originally Posted by jaberwok
    Harls, this all good. Should the thread title be changed to be less specific or maybe the individual ideas should be posted separately.

    Thanks a lot for your thoughtful suggestions, John. I know that I am violating the forum guidelines by posting multiple tips (though mutually related) in the same thread. That's because my first post explains how to setup a double click action and the following posts provides only the macros. If I post separately, I have to repeat the first portion in all the threads. Regarding the title suggestion, I agree with you that it should be a more general one. I never thought of posting more double click actions at the time of posting it. I forward your suggestions to the moderators.

    Thanks.

  8. #18
    All AUGI, all the time zoomharis's Avatar
    Join Date
    2005-02
    Location
    Abu Dhabi (Native-India)
    Posts
    506
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    I think it's time to wind up from my side. All my double click thoughts have dried up. If you come across any interesting double click actions, please feel free to share. I will definitely do the same provided I come across a good one. Anyway, I don't want to waste this post. So here goes another one.

    Double Click a Dimension to Set its Dimension Style Current.

    ^C^C-dimstyle;restore;;(ssget "p");
    Interestingly, I would like to see whether this works in AutoCAD LT (Excluding the (ssget "p") part. See the above posts for reference). Can somebody please check the following macro in LT?
    ^C^C-dimstyle;restore;;;
    Thanks for any feedback.

  9. #19
    Member
    Join Date
    2005-02
    Location
    Michigan
    Posts
    23
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    I would like to start using these tips, however, I don't want to change my autocad.cui file. Can anyone tell me how to create a partial (as described in an earlier post) or point me in the right direction where I can find this information? I appreciate any help. Thanks!

  10. #20
    Member
    Join Date
    2007-02
    Posts
    2
    Login to Give a bone
    0

    Default Re: Double Click a Line to Convert it to a Polyline

    Quote Originally Posted by zoomharis
    You can easily customise the double click action in recent AutoCAD versions to convert a line to polyline. Here are the steps to follow.

    Type CUI in the command prompt to open CUI dialog box (see attached image). Goto 'Command List' section and click on new button to create custom command.

    In the properties section, enter name as 'LineToPline' (or whatever you like) and in the macro section type in
    Code:
    ^C^C_pedit;;;^C (Don't miss the last three semicolumns).
    or
    Code:
     ^C^C$M=$(if,$(=,$(getvar,peditaccept),1),_pedit;,_pedit;;)
    Now goto 'Double Click Actions' and locate the 'Line' action (See the picture).

    Simply drag the 'LineToPline' command from the 'Command List' section and drop it in the 'Line' action.

    That's it. Now click on 'Apply' button and close CUI window.

    To apply from a Custom Button

    Create a custom button with the above macro. Preselect the line and click on the button.That's all you need to do. This method can be implemented in the older versions very easily.

    Note: The last ^C in the first macro will overcome the problem of one extra semicolumn when the PEDITACCEPT system variable is set to 1.
    I don't Understand "Create a custom button " Please explain .
    Thank , It good Tip.

Page 2 of 3 FirstFirst 123 LastLast

Similar Threads

  1. Convert Survey Figure and Feature Line to 2D Polyline
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 17
    Last Post: 2019-03-26, 08:52 PM
  2. Instead of typing PEDIT just double-click a Polyline to edit it
    By dzatto in forum AutoCAD Tips & Tricks
    Replies: 23
    Last Post: 2010-02-19, 01:32 PM
  3. More use of right-click and double-click actions
    By revit.wishlist1942 in forum Revit Architecture - Wish List
    Replies: 1
    Last Post: 2008-02-05, 06:40 AM
  4. Convert an ARC to a Line or Polyline
    By nigel.chesworth in forum AutoCAD General
    Replies: 4
    Last Post: 2006-01-13, 10:02 PM
  5. Replies: 9
    Last Post: 2005-06-29, 09:49 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •